<div class="content">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand">Rule editor</a>
        <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
            <div class="navbar-nav">
                <li routerLink="/rules" routerLinkActive="active" class="nav-item"><button type="button" class="btn btn-outline-secondary btn-sm">Back without saving</button></li>
                <li (click)="sendData()" class="nav-item"><button type="button" class="btn btn-outline-secondary btn-sm">Create rule</button></li>
                <li class="nav-item"><button type="button" class="btn btn-outline-secondary btn-sm">Test rule</button></li>
            </div>
        </div>
    </nav>
    <div class="main-editor">
        <div class="content-window">
            <div *ngIf="ruleName" class="rule-name">
                <span>{{ ruleName.start}}</span>
                <span style="font-weight: bold">{{ ruleName.triggerPart}}</span>
                <span>{{ ruleName.connector}}</span>
                <span [innerHTML]="ruleName.actionString"></span>
                <!--
                <span *ngFor="let name of ruleName.actionPart" style="font-weight: bold">
                    {{ name }}
                </span>
                -->
            </div>

            <div id="trigger-selector" *ngIf="triggers">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <label class="input-group-text" for="selectTrigger">Select trigger: </label>
                    </div>
                    <select [(ngModel)]="selectedTrigger" id="selectTrigger" class="form-select form-select-sm custom-select" aria-label="Default select example">
                        <option *ngFor="let trigger of triggers" [ngValue]="trigger" (click)="onTriggerSelect(trigger)"> {{ trigger.name }} </option>
                    </select>
                </div>
                <div *ngIf="selectedTrigger && trigger_block">
                    <div class="card" id="params">
                        <div class="card-header">
                            <span class="d-inline-block">{{trigger_block.name}}</span>
                        </div>
                        <div *ngFor="let keyValuePair of trigger_block.data | keyvalue" class="card-body">
                            <div *ngFor="let param of keyValuePair.value" class="form-group d-inline-block mt-2 params-div">
                                <div *ngIf="allowedParams.includes(param.name)" class="div-data">
                                    <label class="d-inline-block div-data">{{ param.name }}:</label>
                                    <select [(ngModel)]="selectedValues[param.name]" *ngIf="paramsDataTrigger[param.name]" (ngModelChange)="onDataSelect($event, param.name)" class="form-select form-select-sm d-inline-block" style="width: auto" aria-label=".form-select-sm example">
                                        <option *ngFor="let paramValue of paramsDataTrigger[param.name]" [ngValue]="paramValue">{{paramValue}}</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <div id="actions-selector" *ngIf="actions">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <label class="input-group-text" for="selectAction">Select action: </label>
                    </div>
                    <select [(ngModel)]="selectedActions" id="selectAction" class="form-select form-select-sm custom-select" aria-label="Default select example">
                        <option *ngFor="let action of actions" [ngValue]="action" (click)="onActionSelect(action)"> {{ action.name }} </option>
                    </select>
                </div>
                <div *ngFor="let action of actions_block">
                    <div class="card">
                        <div class="card-header">
                            <span class="d-inline-block">{{ action.name }}</span>
                            <button (click)="onDeleteAction(action)"type="button" class="btn-close button-del d-inline-block" aria-label="Close"></button>
                        </div>
                        <div class="card-body">
                            <div *ngFor="let key of action.data | keyvalue" >
                                <div *ngIf="key.key === 'params'" class="form-group d-inline-block mt-2 params-div" style="width: 100%">
                                    <div *ngFor="let param of action.data.params | keyvalue" class="div-data">
                                        <h6 class="d-inline-block div-data">{{ param.key }}:</h6>
                                        <input [(ngModel)]="param.value" (change)="onParamInput($event.target, action.id, param.key)" class="d-inline-block" style="width: 500px">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>


            <!--
            <div id="actions-selector" *ngIf="actions">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <label class="input-group-text" for="inputGroupSelect03">Select actions</label>
                    </div>
                    <select [(ngModel)]="selectedActions" id="inputGroupSelect03" class="form-select form-select-sm custom-select" aria-label="Default select example">
                        <option *ngFor="let action of actions" [ngValue]="action" (click)="onAddAction(action)"> {{ action.name }} </option>
                    </select>
                </div>

                <div *ngFor="let action of actionsBlock">
                    <div class="card">
                        <div class="card-header">
                            <span class="d-inline-block">{{ action.name }}</span>
                            <button (click)="deleteAction(action)"type="button" class="btn-close button-del d-inline-block" aria-label="Close"></button>
                        </div>
                        <div class="card-body">
                            <div *ngFor="let param of action.params | keyvalue" class="form-group d-inline-block mt-2 params-div">
                                <div class="div-data">
                                    <h6 class="d-inline-block div-data">{{ param.key }}:</h6>
                                    <input [(ngModel)]="param.value" (change)="onParamChange(action.id, param.key, $event.target)" class="d-inline-block" style="width: auto">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div *ngIf="ruleName" class="rule-name">
                <span>Rule: </span>
                <span>{{ ruleName.start}}</span>
                <span style="font-weight: bold">{{ ruleName.triggerPart}}</span>
                <span>{{ ruleName.connector}}</span>
                <span *ngFor="let name of ruleName.actionPart" style="font-weight: bold">
                    {{ name }},
                </span>
            </div>

            <div id="trigger-selector" *ngIf="triggers">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <label class="input-group-text" for="inputGroupSelect01">Select trigger </label>
                    </div>
                    <select [(ngModel)]="selectedTrigger" (ngModelChange)="onChangeTrigger($event)" id="inputGroupSelect01" class="form-select form-select-sm custom-select" aria-label="Default select example">
                        <option *ngFor="let trigger of triggers" [ngValue]="trigger">{{trigger.name}}</option>
                    </select>
                </div>

                <div *ngIf="trigger" class="card" id="params">
                    <div class="card-header">
                        <span class="d-inline-block">{{ trigger.name }}</span>
                    </div>
                    <div class="card-body">
                        <div *ngFor="let param of trigger.params | keyvalue" class="form-group d-inline-block mt-2 params-div">
                            <div class="div-data">
                                <label class="d-inline-block div-data">{{ param.key }}:</label>
                                <select [(ngModel)]="selectedValues[param.key]" *ngIf="paramsDataTrigger[param.key]" (ngModelChange)="onSelect($event)" class="form-select form-select-sm d-inline-block" style="width: auto" aria-label=".form-select-sm example">
                                    <option *ngFor="let paramValue of paramsDataTrigger[param.key]" [ngValue]="paramValue">{{paramValue}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            -->
        </div>
    </div>
</div>
